using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.BS;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("企业库管控措施明细表")]
    public class T_SK_ENTERPRISE_LIBRARY_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 企业库
        /// </summary>
        [Description("企业库")]
        [DataFieldForeignKey("Nav_Library", "Nav_Details")]
        public Guid ENTERPRISE_LIBRARY_ID { get; set; }

        /// <summary>
        /// 导航属性：企业库
        /// </summary>
        [Description("导航属性：企业库")]
        public T_SK_ENTERPRISE_LIBRARY Nav_Library { get; set; }
        /// <summary>
        /// 管控措施
        /// </summary>
        [Description("管控措施")]
        public string MEASURES_NAME { get; set; }

        [Description("应急处置")]
        public string EMERGENCY { get; set; }

        /// <summary>
        /// 顺序
        /// </summary>
        [Description("顺序")]
        public int? NUM { get; set; }

        /// <summary>
        /// 导航属性：检查内容
        /// </summary>
        [Description("检查内容")]
        [FormFieldEdit]
        public ICollection<T_SK_ENTERPRISE_LIBRARY_DETAIL_CONTENT> Nav_DetailContents { get; set; }

        [Description("顺序")]
        public int? ROW_NO { get; set; }
    }
}
